from django.urls import path
from .views import (
    RegisterView, LoginView, ProfileView,
    UpdateProfileView, ChangePasswordView,
    ForgotPasswordView, ResetPasswordView,
    VerifyEmailView, ResendOTPView,
    PublicProfileView,
    VerificationApplyView, VerificationApproveView, PendingVerificationsView,
)

urlpatterns = [
    path("register/",        RegisterView.as_view(),       name="register"),
    path("login/",           LoginView.as_view(),          name="login"),
    path("profile/",         ProfileView.as_view(),        name="profile"),
    path("profile/update/",  UpdateProfileView.as_view(),  name="profile-update"),
    path("change-password/", ChangePasswordView.as_view(), name="change-password"),
    path("forgot-password/", ForgotPasswordView.as_view(), name="forgot-password"),
    path("reset-password/",  ResetPasswordView.as_view(),  name="reset-password"),
    path("verify-email/",    VerifyEmailView.as_view(),    name="verify-email"),
    path("resend-otp/",      ResendOTPView.as_view(),      name="resend-otp"),
    path("users/<int:pk>/",    PublicProfileView.as_view(),  name="public-profile"),
    path("verify/apply/",      VerificationApplyView.as_view(),   name="verify-apply"),
    path("verify/approve/<int:user_id>/", VerificationApproveView.as_view(), name="verify-approve"),
    path("verify/pending/",    PendingVerificationsView.as_view(), name="verify-pending"),
]
